dofile "flightcommander.lua"

function init()
  Mission_setScriptControl(true);
  jumpedout = false;
  started = false;
  prejumpin = false;
  jumpin = false;
end


function mycallback()
end

function nav1_create()
  start_time = Mission_getElapsedTime();
  jumpout_time = start_time + 5000;
  prejumpin_time = start_time + 12000;
  jumpin_time = start_time + 15000;
  donetime = start_time + 27000;


end

-- this can be useful for creating your own cutscenes.
-- if you need to find out where to place a ship, fly around as the player,
-- and call printlocation("playerid")
-- Then you will be able to see what locations to use in your script
function printlocation(shipid)
   local x;
   local y;
   local z;

   x, y, z = Ship_getLocation(shipid)
   Mission_setDebugText( tostring(x) .. " " .. tostring(y) .. " " ..  tostring(z) );

end

function nav1_during()
   printlocation("@player");
   now = Mission_getElapsedTime();
   if not started then
      if now > start_time then
         Music_play("kattheme.mp3");
         Cutscene_start("mycallback");
         Overlay_setEnabled(true);
         Overlay_setText("Jumping from the Cassini Sector");
         Mission_addShip("midway", "", "", false, "none", IFF_FRIEND, 0.0, 0.0, 0.0, "@midway", "", "", "");
         Ship_setAIEnabled("@midway", false);
         Ship_setMaxVelocity("@midway", 150.0);
         Ship_setDesiredVelocity("@midway", 1.0);
         Camera_setCameraType(CAMERA_SCRIPTABLE);
         Camera_setLocationFixed(-700.0, 0.0, -1000.0);
         Camera_setLookAtFixed(0.0, 0.0, 0.0);
         started = true;
      end
   elseif not jumpedout then
      if now > jumpout_time then
         Ship_setMaxVelocity("@midway", 20.0);
         Ship_jumpOut("@midway");
         jumpedout = true;
      end
   elseif not prejumpin then
      if now > prejumpin_time then
         Sector_change("red.sector.xml");
         Overlay_setText("Arriving at the Pathfinder Sector");
         Camera_setLocationFixed(-700.0, 0.0, -3000.0);
         Camera_setLookAtFixed(0.0, 0.0, 0.0);

         prejumpin = true;
      end
   elseif not jumpin then
      if now > jumpin_time then
         Mission_addShip("midway", "", "", false, "none", IFF_FRIEND, 0.0, 0.0, 0.0, "@midway2", "", "", "");
         Ship_setOrientation("@midway2", 0.0, 180.0, 0.0);
         Ship_setAIEnabled("@midway2", false);
         Ship_setMaxVelocity("@midway2", 500.0);
         Ship_setDesiredVelocity("@midway2", 1.0);
         Ship_jumpIn("@midway2");
         Camera_setLookAtRelative("@midway2");
         jumpin = true;
      end
   else
     if now > donetime then
        Mission_exit();
     end
   end

end



-- call init on startup
init();

